# Organization Memberships

An Organization Membership represents the connection of a user and project to an organization.

## Fetching a list of Organization Memberships

 - [GET /organization_memberships](https://developer.kantata.com/kantata/specification/organization-memberships/get-organization-memberships.md): This endpoint returns structured Organization Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the organization_memberships top-level JSON key.
Please see our Response Format section for more information.

## Creating a new Organization Membership

 - [POST /organization_memberships](https://developer.kantata.com/kantata/specification/organization-memberships/create-organization-membership.md): Applies an organization to a workspace (project) or user.

Bulk Create

This endpoint supports bulk creating up to 100 objects. In the request body, set the top-level key to its plural form and place the objects in an array. Example:


{
  "organization_memberships": [
    {
      "geography_id": 123,
      "department_id": 456,
      "member_id": 111,
      "member_type": "User"
    },
    {
      "geography_id": 123,
      "department_id": 456,
      "member_id": 222,
      "member_type": "User"
    }
  ]
}



This endpoint returns structured Organization Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the organization_memberships top-level JSON key.
Please see our Response Format section for more information.

## Fetching a single Organization Membership

 - [GET /organization_memberships/{id}](https://developer.kantata.com/kantata/specification/organization-memberships/get-organization-membership.md): This endpoint returns structured Organization Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the organization_memberships top-level JSON key.
Please see our Response Format section for more information.

## Updating an existing Organization Membership

 - [PUT /organization_memberships/{id}](https://developer.kantata.com/kantata/specification/organization-memberships/update-organization-membership.md): This endpoint returns structured Organization Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the organization_memberships top-level JSON key.
Please see our Response Format section for more information.

## Deleting an existing Organization Membership

 - [DELETE /organization_memberships/{id}](https://developer.kantata.com/kantata/specification/organization-memberships/delete-organization-membership.md): The response will contain no content and an HTTP 204 status code if the request was
successful, or a standard Kantata OX error message explaining why the object could not be deleted.

